net.snowflake.client.jdbc

## Class SnowflakeFileTransferAgent.UploadCommandFacade

- java.lang.Object
- - net.snowflake.client.jdbc.SnowflakeFileTransferAgent.UploadCommandFacade

Direct Known Subclasses:
  SnowflakeFileTransferAgent.UploadCommandEncryptionFacade

Enclosing class:
  SnowflakeFileTransferAgent

    public class SnowflakeFileTransferAgent.UploadCommandFacade
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`UploadCommandFacade(String srcFile, String destFile, String resultStatus, String errorDetails, long srcSize, long destSize, String srcCompressionType, String destCompressionType)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UploadCommandFacade

    public UploadCommandFacade(String srcFile,
                               String destFile,
                               String resultStatus,
                               String errorDetails,
                               long srcSize,
                               long destSize,
                               String srcCompressionType,
                               String destCompressionType)